org.eclipse.actf.util.httpproxy

## Class ProxyConfig

- java.lang.Object
- - org.eclipse.actf.util.httpproxy.ProxyConfig

    public class ProxyConfig
    extends Object

ProxyConfig is class to configure an IHTTPProxy.

See Also:
  `IHTTPProxy`, `HTTPProxyFactory`

### Constructor Summary

Constructors
Constructor and Description
`ProxyConfig()` Constructor of ProxyConfig

### Method Summary

Methods
`int` `getKeepAliveInterval()` Get keep alive interval value
`int` `getKeepAliveTimeoutWithoutContentLength()` Get keep alive interval value for a content without content length information
`IHTTPLocalServerFactory` `getLocalServerFactory()` Get Factory of `IHTTPLocalServer` that enables to return HTTP Response for specified request directly from the proxy.
`int` `getMaxConnection()` Get maximum connection number of the proxy
`int` `getMaxQueueSize()` Get maximum queue size
`int` `getPort()` Get port number of proxy
`IHTTPProxyTranscoderFactory` `getProxyTranscoderFactory()` Get Factory of `IHTTPProxyTranscoder` that is used to transcode HTTP Response message
`ISecretManager` `getSecretManager()` Get `ISecretManager` that is used for confirmation of correct server-client combination.
`IHTTPSessionOverriderFactory` `getSessionOverriderFactory()` Get Factory of `IHTTPSessionOverrider` that is used to override HTTP Session in the proxy
`int` `getTimeout()` Get time out value
`void` `setLocalServerFactory(IHTTPLocalServerFactory localServerFactory)` Set Factory of `IHTTPLocalServer` that enables to return HTTP Response for specified request directly from the proxy.
`void` `setMaxConnection(int maxConnection)` Set maximum connection number of the proxy
`void` `setPort(int port)` Set port number for the proxy
`void` `setProxyTranscoderFactory(IHTTPProxyTranscoderFactory proxyTranscoderFactory)` Set Factory of `IHTTPProxyTranscoder` that is used to transcode HTTP Response message in the proxy
`void` `setSecretManager(ISecretManager secretManager)` Set `ISecretManager` that is used for confirmation of correct server-client combination.
`void` `setSessionOverriderFactory(IHTTPSessionOverriderFactory sessionOverriderFactory)` Set Factory of `IHTTPSessionOverrider` that is used to override HTTP Session in the proxy
`void` `setTimeout(int timeout)` Set time out value of the proxy

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyConfig

    public ProxyConfig()

Constructor of ProxyConfig

### Method Detail

#### getPort

    public int getPort()

Get port number of proxy

Returns:
  port number

#### setPort

    public void setPort(int port)

Set port number for the proxy

Parameters:
  `port` - port number

#### getMaxConnection

    public int getMaxConnection()

Get maximum connection number of the proxy

Returns:
  maximum connection number

#### setMaxConnection

    public void setMaxConnection(int maxConnection)

Set maximum connection number of the proxy

Parameters:
  `maxConnection` - maximum connection number

#### getTimeout

    public int getTimeout()

Get time out value

Returns:
  time out value

#### setTimeout

    public void setTimeout(int timeout)

Set time out value of the proxy

Parameters:
  `timeout` - time out value

#### getKeepAliveInterval

    public int getKeepAliveInterval()

Get keep alive interval value

Returns:
  keep alive interval

#### getMaxQueueSize

    public int getMaxQueueSize()

Get maximum queue size

Returns:
  maximum queue size

#### getKeepAliveTimeoutWithoutContentLength

    public int getKeepAliveTimeoutWithoutContentLength()

Get keep alive interval value for a content without content length information

Returns:
  keep alive interval

#### getProxyTranscoderFactory

    public IHTTPProxyTranscoderFactory getProxyTranscoderFactory()

Get Factory of `IHTTPProxyTranscoder` that is used to transcode HTTP Response message

Returns:
  factory of `IHTTPProxyTranscoder`
See Also:
  `IHTTPProxyTranscoder`

#### setProxyTranscoderFactory

    public void setProxyTranscoderFactory(IHTTPProxyTranscoderFactory proxyTranscoderFactory)

Set Factory of `IHTTPProxyTranscoder` that is used to transcode HTTP Response message in the proxy

Parameters:
  `proxyTranscoderFactory` - target `IHTTPProxyTranscoderFactory`
See Also:
  `IHTTPProxyTranscoder`

#### getSessionOverriderFactory

    public IHTTPSessionOverriderFactory getSessionOverriderFactory()

Get Factory of `IHTTPSessionOverrider` that is used to override HTTP Session in the proxy

Returns:
  factory of `IHTTPSessionOverrider`
See Also:
  `IHTTPSessionOverrider`

#### setSessionOverriderFactory

    public void setSessionOverriderFactory(IHTTPSessionOverriderFactory sessionOverriderFactory)

Set Factory of `IHTTPSessionOverrider` that is used to override HTTP Session in the proxy

Parameters:
  `sessionOverriderFactory` - target `IHTTPSessionOverriderFactory`
See Also:
  `IHTTPSessionOverrider`

#### getLocalServerFactory

    public IHTTPLocalServerFactory getLocalServerFactory()

Get Factory of `IHTTPLocalServer` that enables to return HTTP Response for specified request directly from the proxy.

Returns:
  factory of `IHTTPLocalServer`
See Also:
  `IHTTPLocalServer`

#### setLocalServerFactory

    public void setLocalServerFactory(IHTTPLocalServerFactory localServerFactory)

Set Factory of `IHTTPLocalServer` that enables to return HTTP Response for specified request directly from the proxy.

Parameters:
  `localServerFactory` - target `IHTTPLocalServerFactory`
See Also:
  `IHTTPLocalServer`

#### getSecretManager

    public ISecretManager getSecretManager()

Get `ISecretManager` that is used for confirmation of correct server-client combination.

Returns:
  secret manager

#### setSecretManager

    public void setSecretManager(ISecretManager secretManager)

Set `ISecretManager` that is used for confirmation of correct server-client combination.

Parameters:
  `secretManager` - target secret manager